{ stdenv, libgpiod, curlpp, curl }:
stdenv.mkDerivation rec {
  pname = "agb";
  version = "oct-24";
  src = ./.;

  buildPhase = ''
    g++ --std=c++23 agb.cpp -o agb \
      -L${libgpiod}/lib -lgpiodcxx -I${libgpiod}/include \
      -L${curl.out}/lib -lcurl -I${curl.dev}/include \
      -L${curlpp}/lib -lcurlpp -I${curlpp}/include
  '';
  installPhase = ''
    mkdir -p $out/bin
    cp agb $out/bin
  '';
}
