{ config, ... }:
{
  services.snipe-it = {
    enable = true;
    appKeyFile = config.age.secrets."snipeit".path;
    config = {
      APP_LOCALE = "fr-FR";
      APP_TIMEZONE = "Europe/Paris";
    };
    database = {
      createLocally = true;
      user = "snipeit";
    };
    user = "snipeit";
    group = "snipeit";
    hostName = "inventaire.hackens.org";
    nginx = {
      enableACME = true;
      forceSSL = true;
    };
  };
}
