{ lib , pkgs, fetchgit, stdenv, setuptoolsBuildHook, buildPythonPackage, pythonPackages , fetchFromGitHub }:
let
  attrs = {
    name = "pyjecteur";
    version = "2.0";
    doCheck = false;
    src = fetchgit {
      url = "https://git.dgnum.eu/HackENS/pyjecteur.git";
      rev = "28759972328c2774b3ab571440051bd97ca35bcc";
      hash = "sha256-xlLS7Hrh1FrBnW7ASfYz42+pguHCbn3Z1k7X3uQseHQ=";
    } ;
    passthru = {
      wheel = buildPythonPackage (attrs // {
        name = "pyjecteur-py3.whl";
        installPhase = "mv dist/pyjecteur-2.0-py3-none-any.whl $out";
        dontFixup = true;
        doInstallCheck = false;
      });
    };
    propagatedBuildInputs = [ pythonPackages.pyserial pythonPackages.colour ];
  };
in
buildPythonPackage attrs
